mav_matrixRPYSet(3)

NAME
mav_matrixRPYSet - Set the rotation terms of a matrix.

LEVEL
Maverik Level 1

SYNTAX
MAV_matrix mav_matrixRPYSet(MAV_matrix m, float roll, float pitch, float yaw);

ARGUMENTS

MAV_matrix m
    Matrix to set.

float roll
    Rotation in degrees about Z-axis.

float pitch
    Rotation in degrees about X-axis.

float yaw
    Rotation in degrees about Y-axis.

DESCRIPTION
This function sets the rotation elements of matrix m, as specified by roll, pitch and yaw. All other elements in matrix m are left unchanged, and the modified matrix is returned.